## class IntersectState

## Inheritance:

### Public Fields

osg::ref_ptr<osg::RefMatrix> _matrix
osg::ref_ptr<osg::RefMatrix> _inverse
LineSegmentList _segList
LineSegmentMaskStack _segmentMaskStack

### Public Methods

IntersectState()
bool isCulled(const osg::BoundingSphere& bs, LineSegmentMask& segMaskOut)
bool isCulled(const osg::BoundingBox& bb, LineSegmentMask& segMaskOut)
void addLineSegmentPair(osg::LineSegment* first, osg::LineSegment* second)

### Public Members

typedef std::pair<osg::ref_ptr<osg::LineSegment>,osg::ref_ptr<osg::LineSegment> > LineSegmentPair
typedef std::vector< LineSegmentPair > LineSegmentList
typedef unsigned int LineSegmentMask
typedef std::vector<LineSegmentMask> LineSegmentMaskStack

### Protected Methods

~IntersectState()

## Documentation

`IntersectState()`

`osg::ref_ptr<osg::RefMatrix> _matrix`

`osg::ref_ptr<osg::RefMatrix> _inverse`

`typedef std::pair<osg::ref_ptr<osg::LineSegment>,osg::ref_ptr<osg::LineSegment> > LineSegmentPair`

`typedef std::vector< LineSegmentPair > LineSegmentList`

`LineSegmentList _segList`

`typedef unsigned int LineSegmentMask`

`typedef std::vector<LineSegmentMask> LineSegmentMaskStack`

`LineSegmentMaskStack _segmentMaskStack`

`bool isCulled(const osg::BoundingSphere& bs, LineSegmentMask& segMaskOut)`

`bool isCulled(const osg::BoundingBox& bb, LineSegmentMask& segMaskOut)`

`void addLineSegmentPair(osg::LineSegment* first, osg::LineSegment* second)`

`~IntersectState()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.